Bug 523080 - Akregator - Column Sorting Arrows Indicate Behaviour Reverse of that Expected
Summary: Akregator - Column Sorting Arrows Indicate Behaviour Reverse of that Expected
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kdepim
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-13 23:16 UTC by David Le Sage
Modified: 2010-06-28 14:38 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:38:26 UTC


Attachments (Terms of Use)
Column Sort Arrows Showing Opposite Behaviour to that Expected - 1. (21.62 KB, image/png)
2009-09-13 23:21 UTC, David Le Sage
no flags Details
Column Sort Arrows Showing Opposite Behaviour to that Expected - 2. (37.02 KB, image/png)
2009-09-13 23:21 UTC, David Le Sage
no flags Details
"Normal" behaviour from another app - Evolution. Down arrow means most recent is at the BOTTOM, not the top. (14.18 KB, image/png)
2009-09-13 23:24 UTC, David Le Sage
no flags Details

Description David Le Sage 2009-09-13 23:16:05 UTC
Description of problem:
If one sorts feeds by date (by clicking on the column header), when the arrow is pointing DOWN, the most recent entry is at the TOP.  When the arrow is pointing UP, the most recent entry is at the BOTTOM.  Shouldn't this be the other way around?  It is contrary to most other programs and certainly GTK ones are the opposite.

The theme installed was KDE-Leonidas.


Version-Release number of selected component (if applicable):
Akregator 1.5.0 (KDE 4.3.0).

How reproducible:
Every time.

Steps to Reproduce:
1. yum install kdepim. (Pulls down KDE Leonidas theme as a dependency.)
2. Import *.opml.
3. Fetch all feeds.  
4. Click on date column heading to sort articles.
  
Actual results:
DOWN = Most recent article at top.
UP = Most recent article at bottom.

This is the opposite of the convention across most other software.

Expected results:
DOWN = Most recent article at bottom.
UP = Most recent article at top.

Additional info:

Comment 1 David Le Sage 2009-09-13 23:21:08 UTC
Created attachment 360861 [details]
Column Sort Arrows Showing Opposite Behaviour to that Expected - 1.

Comment 2 David Le Sage 2009-09-13 23:21:36 UTC
Created attachment 360862 [details]
Column Sort Arrows Showing Opposite Behaviour to that Expected - 2.

Comment 3 David Le Sage 2009-09-13 23:24:13 UTC
Created attachment 360863 [details]
"Normal" behaviour from another app - Evolution.  Down arrow means most recent is at the BOTTOM, not the top.

Comment 4 Steven M. Parrish 2009-10-02 08:57:12 UTC
Thank you for taking the time to report this issue.

This is an issue that needs to be addressed by the upstream developers. Please report this at http://bugs.kde.org and then add the upstream report information to this report.  We will monitor the upstream report for a resolution to this issue, and will review any bug fixes that become available for consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 David Le Sage 2009-10-04 23:32:40 UTC
Added to KDE Bugzilla as:


http://bugs.kde.org/show_bug.cgi?id=209471


Cheers,

David Le Sage
Red Hat 
BRISBANE

Comment 6 Bug Zapper 2010-04-28 10:20:43 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2010-06-28 14:38:26 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.